#!/tvbin/tivosh
source $tcl_library/tv/Inc.itcl
tvsource $tcl_library/tv/mfslib.tcl
tvsource $tcl_library/tv/dumpobj.tcl
EnableTransactionHoldoff true

set newfontspec [lindex $argv 0]
set savefontspec [lindex $argv 1]

set db [dbopen]

RetryTransaction {
	set obj [db $db open "/Resource/Font/FranGLgt.22"]
	set oldfontid [dbobj $obj get "Font"]
	puts "Saving old font ID $oldfontid to file $savefontspec"
	FromMfs $savefontspec $oldfontid 

	puts "Installing font file $newfontspec"
	set newfontid [ToMfs $newfontspec]
	puts "New font resource id: $newfontid"
	dbobj $obj set "Font" $newfontid

	set tempid [dbobj $obj get "Font"]
	puts "Verify: current font id is $tempid, should be $newfontid"
}

